Skip to main content
POST
/
customers
/
{external_customer_id}
/
checkout_url
Generate a Customer Payment Provider Checkout URL
curl --request POST \
  --url https://core.nozle.app/api/v1/customers/{external_customer_id}/checkout_url \
  --header 'Authorization: Bearer <token>'
{
  "customer": {
    "lago_customer_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "external_customer_id": "5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba",
    "payment_provider": "stripe",
    "payment_provider_code": "Stripe Prod",
    "checkout_url": "https://foo.bar"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

external_customer_id
string
required

The customer external unique identifier (provided by your own application).

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

Response

Customer Checkout URL

customer
object
required